package com.ejie.ab79.model.REST.servicioWeb;

public class PreguntaRespuestaValidacion extends Estado implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idPreguntaExpediente;
	private Integer orden;
	private String descripcionCastellano;
	private String descripcionEuskera;
	private Integer idTipoPregunta;
	private String valorValidar;
	private String respuesta;

	public PreguntaRespuestaValidacion() {
	}

	public Integer getIdPreguntaExpediente() {
		return idPreguntaExpediente;
	}

	public void setIdPreguntaExpediente(Integer idPreguntaExpediente) {
		this.idPreguntaExpediente = idPreguntaExpediente;
	}

	public Integer getOrden() {
		return orden;
	}

	public void setOrden(Integer orden) {
		this.orden = orden;
	}

	public String getDescripcionCastellano() {
		return descripcionCastellano;
	}

	public void setDescripcionCastellano(String descripcionCastellano) {
		this.descripcionCastellano = descripcionCastellano;
	}

	public String getDescripcionEuskera() {
		return descripcionEuskera;
	}

	public void setDescripcionEuskera(String descripcionEuskera) {
		this.descripcionEuskera = descripcionEuskera;
	}

	public Integer getIdTipoPregunta() {
		return idTipoPregunta;
	}

	public void setIdTipoPregunta(Integer idTipoPregunta) {
		this.idTipoPregunta = idTipoPregunta;
	}

	public String getValorValidar() {
		return valorValidar;
	}

	public void setValorValidar(String valorValidar) {
		this.valorValidar = valorValidar;
	}

	public String getRespuesta() {
		return respuesta;
	}

	public void setRespuesta(String respuesta) {
		this.respuesta = respuesta;
	}

	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idPreguntaExpediente: ").append(this.idPreguntaExpediente).append(" ]");
		result.append(" [ orden: ").append(this.orden).append(" ]");
		result.append(" [ descripcionCastellano: ").append(this.descripcionCastellano).append(" ]");
		result.append(" [ descripcionEuskera: ").append(this.descripcionEuskera).append(" ]");
		result.append(" [ idTipoPregunta: ").append(this.idTipoPregunta).append(" ]");
		result.append(" [ valorValidar: ").append(this.valorValidar).append(" ]");
		result.append(" [ respuesta: ").append(this.respuesta).append(" ]");
		result.append("}");
		return result.toString();
	}
}
